### org.jfree.layouting.layouter.style.resolver.computed.color

# Class ColorResolveHandler

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.resolver.computed.color.ColorResolveHandler`

Implemented Interfaces:
  ResolveHandler

Known Direct Subclasses:
  OtherColorResolveHandler

`public class ColorResolveHandler`
`extends java.lang.Object`
`implements ResolveHandler`

Creation-Date: 11.12.2005, 23:28:29

Author:
  Thomas Morgner

  ## Constructor Summary

  `ColorResolveHandler()`

  ## Method Summary

  `protected CSSColorValue`

  `getCurrentColor(LayoutElement currentNode)`

  `StyleKey[]`

  `getRequiredStyles()`
    This indirectly defines the resolve order.

  `void`

  `resolve(LayoutProcess process, LayoutElement currentNode, StyleKey key)`
    Resolves a single property.

## Constructor Details

### ColorResolveHandler

    public ColorResolveHandler()

## Method Details

### getCurrentColor

    protected CSSColorValue getCurrentColor(LayoutElement currentNode)

### getRequiredStyles

    public StyleKey[] getRequiredStyles()

> This indirectly defines the resolve order. The higher the order, the more dependent is the resolver on other resolvers to be complete.
> Specified by:
>   getRequiredStyles in interface ResolveHandler
> Returns:

### resolve

    public void resolve(LayoutProcess process,
                        LayoutElement currentNode,
                        StyleKey key)

> Resolves a single property.
> Specified by:
>   resolve in interface ResolveHandler
> Parameters:
>   `currentNode` -